From: Victor Fusco <victor@cetuc.puc-rio.br>
Subject: [KJ] [PATCH 17/20] net/sungem: Fix "nocast type" warnings

Fix the sparse warning "implicit cast to nocast type"

File/Subsystem:drivers/net/sungem.h

Signed-off-by: Victor Fusco <victor@cetuc.puc-rio.br>

--

---
 sungem.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

Index: quilt/drivers/net/sungem.h
===================================================================
--- quilt.orig/drivers/net/sungem.h
+++ quilt/drivers/net/sungem.h
@@ -1035,7 +1035,7 @@ struct gem {
 			
 #define ALIGNED_RX_SKB_ADDR(addr) \
         ((((unsigned long)(addr) + (64UL - 1UL)) & ~(64UL - 1UL)) - (unsigned long)(addr))
-static __inline__ struct sk_buff *gem_alloc_skb(int size, int gfp_flags)
+static __inline__ struct sk_buff *gem_alloc_skb(int size, unsigned int __nocast gfp_flags)
 {
 	struct sk_buff *skb = alloc_skb(size + 64, gfp_flags);
 
